> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Application Deployment

> ### Description
Updates a application deployment

### Details
This API can be used to update the application deployment that matches the ID that was passed in as a path parameter. To use this API, pass in the `id` that was returned from your Create Application Deployment API call as a path parameter.

Review the request schema to see the fields that can be updated.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml patch /v4/application-deployments/{application_deployment_id}
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/application-deployments/{application_deployment_id}:
    patch:
      tags:
        - Applications
      summary: Update Application Deployment
      description: >-
        ### Description

        Updates a application deployment


        ### Details

        This API can be used to update the application deployment that matches
        the ID that was passed in as a path parameter. To use this API, pass in
        the `id` that was returned from your Create Application Deployment API
        call as a path parameter.


        Review the request schema to see the fields that can be updated.
      operationId: PATCH-V4-/application-deployments/{application_deployment_id}
      parameters:
        - name: application_deployment_id
          in: path
          required: true
          schema:
            type: string
            title: Application Deployment Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PartialApplicationDeploymentRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationDeploymentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            application_deployment = client.application_deployments.update(
                application_deployment_id="application_deployment_id",
            )
            print(application_deployment.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tapplicationDeployment, err := client.ApplicationDeployments.Update(\n\t\tcontext.TODO(),\n\t\t\"application_deployment_id\",\n\t\tsgp.ApplicationDeploymentUpdateParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", applicationDeployment.ID)\n}\n"
components:
  schemas:
    PartialApplicationDeploymentRequest:
      properties:
        name:
          type: string
          title: Name
        is_active:
          type: boolean
          title: Is Active
      additionalProperties: false
      type: object
      title: PartialApplicationDeploymentRequest
    ApplicationDeploymentResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        endpoint:
          type: string
          title: Endpoint
          can_patch: false
        application_variant_id:
          type: string
          title: Application Variant Id
          can_patch: false
        status:
          $ref: '#/components/schemas/ApplicationDeploymentStatus'
          can_patch: false
        is_active:
          type: boolean
          title: Is Active
        account_id:
          type: string
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
      type: object
      required:
        - id
        - name
        - endpoint
        - application_variant_id
        - status
        - is_active
        - account_id
        - created_by_user_id
        - created_by_identity_type
        - created_at
      title: ApplicationDeploymentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApplicationDeploymentStatus:
      type: string
      enum:
        - PENDING
        - READY
        - FAILED
        - STOPPED
      title: ApplicationDeploymentStatus
      description: |-
        An enum representing the status of an application deployment.
        Attributes:
            PENDING: The deployment is pending.
            READY: The deployment is ready.
            FAILED: The deployment has failed.
            STOPPED: The deployment has stopped.
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````